## bugreporter-udeb 0.27

=== debian/changelog ===
bugreporter-udeb (0.27) unstable; urgency=low

  * Updated translations: 
    - Polish (pl.po) by Bartosz Fenski
    - Russian (ru.po) by Nikolai Prokoschenko
    - Slovenian (sl.po) by Jure Čuhalev

 -- Joey Hess <joeyh@debian.org>  Tue, 25 May 2004 12:25:38 -0300

bugreporter-udeb (0.26) unstable; urgency=low

  * Christian Perrier
    - Ellipsis typography fixed
  * Martin Michlmayr
    - Speed up the package-versions script by using more grep instead of
      the slow read.  This addresses #248037, but I'm leaving the bug
      open in case someone comes up with an even quicker (but maybe
      incompatible) solution.
  * Updated translations:
    - Spanish (es.po) by Javier Fernández-Sanguino
    - Norwegian (nn.po) by Håvard Korsvoll

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 17 May 2004 01:44:21 +0100

bugreporter-udeb (0.25) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bokmal, Norwegian (nb.po) by Bjrn Steensrud
    - Norwegian Nynorsk (nn.po) by Hvard Korsvoll

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 2004 13:04:44 -0400

bugreporter-udeb (0.24) unstable; urgency=low

  * Updated translations: 
    - Finnish (fi.po) by Tapio Lehtonen
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Italian (it.po) by Cristian Rigamonti
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Bokmal, Norwegian (nb.po) by Axel Bojer
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Romanian (ro.po) by Eddy Petrisor
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Apr 2004 11:00:38 -0400

bugreporter-udeb (0.23) unstable; urgency=low

  * Joey Hess
    - Drop the use of tar; it cannot work because bb tar does not support
      creation, and /target is not available most of the time when you want to
      report a bug. Just copy files to the floppy.
    - Unmount the floppy on start, for idempotency and in case it was left
      mounted by some buggy code.
    - Shorten the menu item.
    - Include partman log, if available.
  * Updated translations: 
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Basque (eu.po) by Piarres Beobide Egaña
    - Gallegan (gl.po) by Héctor Fernández López
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VERÓK István
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Dmitry Beloglazov
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by André Dahlqvist
    - Turkish (tr.po) by Recai Oktaş
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Apr 2004 21:23:11 -0400

bugreporter-udeb (0.22) unstable; urgency=low

  * Joshua Kwan
    - switch to new debhelper udeb support
  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Basque (eu.po) by Piarres Beobide Egaa
    - Hebrew (he.po) by Lior Kaplan
    - Dutch (nl.po) by Bart Cornelis
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Albanian (sq.po) by Elian Myftiu

 -- Joey Hess <joeyh@debian.org>  Sat, 10 Apr 2004 00:44:43 -0400

bugreporter-udeb (0.21) unstable; urgency=low

  * Stephen R. Marenka
    - change debconf notes from important to critical.
    - add return so that mountfloppy actually fails.
    - added progress bars (for m68k at least).
    - store reports in /target/var/log/debian-installer.
  * Joey Hess
    - Don't use the term "host".
    - Shorten the main menu item to aid translators.
    - Don't copy files to /target in postinst, because it may not exist,
      and prebaseconfig does that anyway.
    - Fix some fubar indentation.
    - Remove debhelper token from postinst.
    - Add a TODO.
  * Petter Reinholdtsen
    - Ask the installation reports to include 'lspci -n' as well.
  * Updated translations: 
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Basque (eu.po) by Piarres Beobide Egaña
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by Héctor Fernández López
    - Hungarian (hu.po) by VERÓK István
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by André Dahlqvist
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Sun,  4 Apr 2004 17:21:25 -0400

bugreporter-udeb (0.20) unstable; urgency=low

  * Updated translations: 
    - Bosnian (bs.po) by Safir Šećerović
    - Italian (it.po) by Cristian Rigamonti
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Romanian (ro.po) by Eddy Petrisor
    - Swedish (sv.po) by André Dahlqvist
    - Turkish (tr.po) by Recai Oktaş
    - Albanian (sq.po) by Elian Myftiu

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Mar 2004 15:21:24 -0500

bugreporter-udeb (0.19) unstable; urgency=low

  * Translations updated:
    - Slovenian translation (sl.po) by Jure Cuhalev
    - Giuseppe Sacco updated it.po and notified translator



## bugreporter-udeb 1.02

=== Makefile ===
PROGS = report-hw package-versions

INSTALL     = install
INSTALL_DATA= install -m 644

bindir      = /bin
libdir      = /usr/share
pkglibdir   = $(libdir)/bugreporter-udeb

all:

install:
	mkdir -p $(DESTDIR)$(bindir)
	for p in $(PROGS) ; do \
	    $(INSTALL) $$p $(DESTDIR)$(bindir)/$$p ; \
	done
	$(INSTALL_DATA) install-report.template $(DESTDIR)$(pkglibdir)/install-report.template

dist:
	debuild -us -uc

clean:
	$(RM) *~

=== debian/changelog ===
bugreporter-udeb (1.02) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by VEROK Istvan
    - Indonesian (id.po) by Debian Indonesia Team
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Latvian (lv.po) by Aigars Mahinovs
    - Bøkmal, Norwegian (nb.po) by Bjorn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 14:29:56 -0400

bugreporter-udeb (1.01) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - French (fr.po) by French Team
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Bøkmal, Norwegian (nb.po) by Axel Bojer
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Russian L10N Team
    - Swedish (sv.po) by Per Olofsson

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 2004 21:17:04 -0400

bugreporter-udeb (1.00) unstable; urgency=low

  * Petter Reinholdtsen
    - Avoid calling package-version in prebaseconfig.d script, as it
      is very slow. Copy the status file instead. (Closes: #248037)
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Latvian (lv.po) by Aigars Mahinovs
    - Bøkmal, Norwegian (nb.po) by Bjørn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Russian (ru.po) by Yuri Kozlov
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Matjaz Horvat
    - Turkish (tr.po) by Recai Oktaş
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 2004 20:47:55 -0400

bugreporter-udeb (0.28) unstable; urgency=low

  * Joey Hess
    - Fix report_hw: lspci is in /target/usr/bin, not sbin.
    - If /proc/pci is included, also include /proc/bus/pci/devices
    - Include df output.
    - Include dmidecode output (once we have a udeb).
  * Updated translations: 
    - Welsh (cy.po) by Dafydd Harries
    - Persian (fa.po) by Arash Bijanzadeh
    - Croatian (hr.po) by Kruno
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll

 -- Joey Hess <joeyh@debian.org>  Sun, 18 Jul 2004 16:53:37 -0400

=== debian/control ===
Source: bugreporter-udeb
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>
Build-Depends-Indep: debhelper (>= 4.2.0), po-debconf (>= 0.5.0), dpkg-dev (>= 1.9)
Standards-Version: 3.5.2

Package: bugreporter-udeb
XC-Package-Type: udeb
Architecture: all
XB-Installer-Menu-Item: 940
Description: Save logs and configuration to floppy for debug purposes
 Make it possible to debug broken installation by saving the current
 logs and configuration to floppy.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 2003 by Petter Reinholdtsen

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

INSTALL      = install -m0755

PACKAGE=bugreporter-udeb

build:
# Nothing to do.

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install-common: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

install-bugreporter-udeb: install-common
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)

	# Install it after 93save-install-log to make sure
	# /var/log/debian-installer/ exist, and before 95umount
	# to make sure it is still mounted.
	$(INSTALL) debian/$(PACKAGE).prebaseconfig debian/$(PACKAGE)/usr/lib/prebaseconfig.d/94$(PACKAGE)

# Build architecture-independent files here.
binary-indep: install bugreporter-udeb

bugreporter-udeb: install-bugreporter-udeb
	dh_testdir 
	dh_testroot 
	dh_installdebconf 
	dh_strip 
	dh_compress 
	dh_fixperms 
	dh_installdeb 
	dh_gencontrol 
	dh_builddeb 

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## bugreporter-udeb 1.02ubuntu3

=== debian/changelog ===
bugreporter-udeb (1.02ubuntu3) hoary; urgency=low

  * Add draft Xhosa translation.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 14:33:35 +0000

bugreporter-udeb (1.02ubuntu2) hoary; urgency=low

  * Store logs in /var/log/installer/, not /var/log/debian-installer/.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  7 Feb 2005 17:21:22 +0000

bugreporter-udeb (1.02ubuntu1) hoary; urgency=low

  * Direct installation reports to ubuntu-users@lists.ubuntu.com, not the
    Debian bug tracking system (closes: #3365).

 -- Colin Watson <cjwatson@canonical.com>  Tue,  9 Nov 2004 00:22:59 +0000

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)
 
 	# Install it after 93save-install-log to make sure
-	# /var/log/debian-installer/ exist, and before 95umount
+	# /var/log/installer/ exist, and before 95umount
 	# to make sure it is still mounted.
 	$(INSTALL) debian/$(PACKAGE).prebaseconfig debian/$(PACKAGE)/usr/lib/prebaseconfig.d/94$(PACKAGE)
